using Core.Abstractions.DomainObjects;

namespace Core.DomainObjects {
  public class Password : DomainObjectBase<Password> {

    public string Hash { get; set; }

    public string Salt { get; set; }

    public DateTime Created { get; set; }

    public Password(string hash, string salt, DateTime? created) {
      Hash = hash;
      Salt = salt;
      Created = created ?? DateTime.UtcNow;
    }

    public Password Prototype() => new (Hash, Salt, Created);

    public override int GetHashCode() {
      throw new NotImplementedException();
    }
  }
}
